## com.imcode.imcms.mapping
Class ProfileMapper.SimpleProfile

    java.lang.Object
      com.imcode.imcms.mapping.ProfileMapper.SimpleProfile

All Implemented Interfaces:
  Mapper.MapperObject, Profile

Enclosing class:
  ProfileMapper

    public static class ProfileMapper.SimpleProfile

extends java.lang.Object
implements Profile

Constructor Summary
`ProfileMapper.SimpleProfile(java.lang.String id, java.lang.String name, java.lang.String documentName)`

Method Summary
`java.lang.String` `getDocumentName()`
`java.lang.Object` `getId()`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileMapper.SimpleProfile

    public ProfileMapper.SimpleProfile(java.lang.String id,
                                       java.lang.String name,
                                       java.lang.String documentName)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Profile`

### getDocumentName

    public java.lang.String getDocumentName()

  Specified by:
    `getDocumentName` in interface `Profile`

### getId

    public java.lang.Object getId()

  Specified by:
    `getId` in interface `Mapper.MapperObject`